### Class

# Phosh MMDBusObjectProxy

since: 0

#### Description [src]

    class Phosh.MMDBusObjectProxy : Gio.DBusObjectProxy
      implements Gio.DBusObject, Phosh.MMDBusObject {
      /* No available fields */
    }

The `PhoshMMDBusObjectProxy` structure contains only private data and should only be accessed using the provided API.

Available since: 0

#### Ancestors

- GDBusObjectProxy
- GObject

#### Implements

- GDBusObject
- PhoshMMDBusObject

#### Constructors

###### phosh_mm_dbus_object_proxy_new

Creates a new proxy object.

since: 0

#### Instance methods

##### Methods inherited from GDBusObjectProxy (1)

###### g_dbus_object_proxy_get_connection

Gets the connection that `proxy` is for.

unstable since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GDBusObject (3)

###### g_dbus_object_get_interface

Gets the D-Bus interface with name `interface_name` associated with `object`, if any.

unstable since: 2.30

###### g_dbus_object_get_interfaces

Gets the D-Bus interfaces associated with `object`.

unstable since: 2.30

###### g_dbus_object_get_object_path

Gets the object path for `object`.

unstable since: 2.30

##### Methods inherited from PhoshMMDBusObject (4)

###### phosh_mm_dbus_object_get_modem

Gets the `PhoshMMDBusModem` instance for the D-Bus interface org.freedesktop.ModemManager1.Modem on `object`, if any.

since: 0

###### phosh_mm_dbus_object_get_modem_modem3gpp

Gets the `PhoshMMDBusModemModem3gpp` instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp on `object`, if any.

since: 0

###### phosh_mm_dbus_object_peek_modem

Like `phosh_mm_dbus_object_get_modem()` but doesn’t increase the reference count on the returned object.

since: 0

###### phosh_mm_dbus_object_peek_modem_modem3gpp

Like `phosh_mm_dbus_object_get_modem_modem3gpp()` but doesn’t increase the reference count on the returned object.

since: 0

#### Properties

##### Properties inherited from GDBusObjectProxy (2)

###### Gio.DBusObjectProxy:g-connection

The connection of the proxy.

unstable since: 2.30

###### Gio.DBusObjectProxy:g-object-path

The object path of the proxy.

unstable since: 2.30

##### Properties inherited from PhoshMMDBusObject (2)

###### PhoshMMDBusObject:modem

The `PhoshMMDBusModem` instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem, if any.

since: 0

###### PhoshMMDBusObject:modem-modem3gpp

The `PhoshMMDBusModemModem3gpp` instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp, if any.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

##### Signals inherited from GDBusObject (2)

###### GDBusObject::interface-added

Emitted when `interface` is added to `object`.

unstable since: 2.30

###### GDBusObject::interface-removed

Emitted when `interface` is removed from `object`.

unstable since: 2.30

#### Class structure

    struct PhoshMMDBusObjectProxyClass {
      GDBusObjectProxyClass parent_class;

    }

Class structure for `PhoshMMDBusObjectProxy`.

###### Class members

`parent_class: GDBusObjectProxyClass`

  The parent class.